libstdc++

Classes | Namespaces | Macros | Enumerations
limits File Reference

Go to the source code of this file.

## Classes

struct | std::__numeric_limits_base
| Part of std::numeric_limits. More...
struct | std::numeric_limits< _Tp >
| Properties of fundamental types. More...
struct | std::numeric_limits< bool >
| numeric_limits<bool> specialization. More...
struct | std::numeric_limits< char >
| numeric_limits<char> specialization. More...
struct | std::numeric_limits< char16_t >
| numeric_limits<char16_t> specialization. More...
struct | std::numeric_limits< char32_t >
| numeric_limits<char32_t> specialization. More...
struct | std::numeric_limits< double >
| numeric_limits<double> specialization. More...
struct | std::numeric_limits< float >
| numeric_limits<float> specialization. More...
struct | std::numeric_limits< int >
| numeric_limits<int> specialization. More...
struct | std::numeric_limits< long >
| numeric_limits<long> specialization. More...
struct | std::numeric_limits< long double >
| numeric_limits<long double> specialization. More...
struct | std::numeric_limits< long long >
| numeric_limits<long long> specialization. More...
struct | std::numeric_limits< short >
| numeric_limits<short> specialization. More...
struct | std::numeric_limits< signed char >
| numeric_limits<signed char> specialization. More...
struct | std::numeric_limits< unsigned char >
| numeric_limits<unsigned char> specialization. More...
struct | std::numeric_limits< unsigned int >
| numeric_limits<unsigned int> specialization. More...
struct | std::numeric_limits< unsigned long >
| numeric_limits<unsigned long> specialization. More...
struct | std::numeric_limits< unsigned long long >
| numeric_limits<unsigned long long> specialization. More...
struct | std::numeric_limits< unsigned short >
| numeric_limits<unsigned short> specialization. More...
struct | std::numeric_limits< wchar_t >
| numeric_limits<wchar_t> specialization. More...

## Namespaces

namespace | std

## Macros

#define | __glibcxx_digits(T)
#define | __glibcxx_digits10(T)
#define | __glibcxx_double_has_denorm_loss
#define | __glibcxx_double_tinyness_before
#define | __glibcxx_double_traps
#define | __glibcxx_float_has_denorm_loss
#define | __glibcxx_float_tinyness_before
#define | __glibcxx_float_traps
#define | __glibcxx_integral_traps
#define | __glibcxx_long_double_has_denorm_loss
#define | __glibcxx_long_double_tinyness_before
#define | __glibcxx_long_double_traps
#define | __glibcxx_max(T)
#define | __glibcxx_max_digits10(T)
#define | __glibcxx_min(T)
#define | __glibcxx_signed(T)
#define | _GLIBCXX_NUMERIC_LIMITS

## Enumerations

enum | std::float_denorm_style { std::denorm_indeterminate, std::denorm_absent, std::denorm_present }
enum | std::float_round_style { round_indeterminate, std::round_toward_zero, std::round_to_nearest, std::round_toward_infinity, std::round_toward_neg_infinity }

## Detailed Description

This is a Standard C++ Library header.

Definition in file limits.